%undefine __libtoolize

Name: myldapklient
Version: 0.6.6
Release: alt1.1
Source0: %name-%version.tar.bz2
URL: http://sourceforge.net/projects/myldapklient
License: GPL
Group:	Databases
Summary: This is a small LDAP-to-KAB bridging client
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>
Requires: kdelibs-gcc_compiled = %__gcc_version_base


# Automatically added by buildreq on Tue Sep 23 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2
BuildRequires: gcc-c++ hostinfo kde-settings kdegames-libs kdelibs-devel
BuildRequires: libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio
BuildRequires: libe2fs-devel libexpat libjpeg-devel libkrb5-devel liblcms
BuildRequires: libldap-devel libmng libpng-devel libqt3-devel libsasl2-devel
BuildRequires: libssl-devel libstdc++-devel libxslt qt3-designer xml-utils zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base

%description
 This is a small LDAP-to-KAB bridging client. It provides a link from an LDAP server to KAB (and then to KMail).
%prep
%setup -q

%build
%configure \
	--with-extra-libs=/usr/lib/openldap \
	--with-extra-includes=/usr/include \
	--with-xinerama
%make_build

%install
%make DESTDIR=%buildroot install
%set_verify_elf_method relaxed

#create menu
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Applications/Databases %buildroot%_datadir/applnk/Applications/%name.desktop %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README INSTALL COPYING AUTHORS ChangeLog
%_bindir/*
%_menudir/%name
%_datadir/applnk/Applications/*.desktop
%_iconsdir/*
%doc %dir %_datadir/doc/HTML/en/%name

%changelog
* Tue Sep 30 2003 Alexander Bokovoy <ab@altlinux.ru> 0.6.6-alt1.1
- Rebuild against krb5-1.3.1-alt2

* Tue Sep 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.6-alt1
- 0.6.6 and rebuilding in hasher

* Wed Feb 26 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.5-alt1
- 0.6.5

* Sun Oct 20 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.2-alt1
- 0.6.2

- specfile cleanup


